Modify

Opened 8 months ago

Last modified 8 months ago

#19484 reopened enhancement

Describe building=university multipolygon better ("university building", not "university")

Reported by: mkoniecz Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: template_report Cc:

Description (last modified by mkoniecz)

What steps will reproduce the problem?

  1. Create building=university multipolygon
  2. Create amenity=university multipolygon, with at least one shared way
  3. Select one of shared ways
  4. Become confused by two "university" relations

What is the expected result?

building=university and amenity=university relations have different names.

"university building", "building=university" would be better than "university"

What happens instead?

building=university and amenity=university relations have the same name

Please provide any additional information below. Attach a screenshot if possible.

I noticed "university" relation and I was sure that it is university relation, not for university building.

Triggered by work on https://www.openstreetmap.org/changeset/87518233

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-06-13 13:23:27 +0200 (Sat, 13 Jun 2020)
Revision:16613
Build-Date:2020-06-14 01:30:46
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (16613 en_GB) Linux Ubuntu 20.04 LTS
Memory Usage: 310 MB / 976 MB (138 MB allocated, but free)
Java version: 11.0.7+10-post-Ubuntu-3ubuntu1, Ubuntu, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 1920x1080 (scaling 1.0x1.0)
Maximum Screen Size: 1920x1080
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
Java package: openjdk-11-jre:amd64-11.0.7+10-3ubuntu1
Java ATK Wrapper package: libatk-wrapper-java:all-0.37.1-1
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:-
Dataset consistency test: No problems found

Plugins:
+ buildings_tools (35474)
+ measurement (35405)
+ reverter (35487)
+ todo (30306)

Attachments (2)

uni.osm (935 bytes) - added by mkoniecz 8 months ago.
testcase with building=university and amenity=university
screen.png (24.6 KB) - added by mkoniecz 8 months ago.
test on josm-latest

Download all attachments as: .zip

Change History (17)

comment:1 Changed 8 months ago by mkoniecz

Description: modified (diff)

comment:2 Changed 8 months ago by Klumbumbus

amenity=university doesn't display as "university relation" for me. Can you add a screenshot which GUI element you mean?

Changed 8 months ago by mkoniecz

Attachment: uni.osm added

testcase with building=university and amenity=university

Changed 8 months ago by mkoniecz

Attachment: screen.png added

test on josm-latest

comment:3 Changed 8 months ago by mkoniecz

Attached GUI screenshot and testcase. Select way to trigger what is shown on screenshot.

comment:4 Changed 8 months ago by mkoniecz

Description: modified (diff)

comment:5 Changed 8 months ago by Klumbumbus

PLease add the preset and mappaint style sections of your status report.

comment:6 Changed 8 months ago by mkoniecz

I found just

mappaint.renderer-class-name=org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer
mappaint.style.known-defaults=[resource://styles/standard/elemstyles.mapcss, resource://styles/standard/potlatch2.mapcss]

Which parts should be also included?

In settings I see that I have enabled "Internal preset" and "JOSM default (MapCSS)"

comment:7 Changed 8 months ago by mkoniecz

Or should I include entire status report? (from private/semi-private info I noticed just recently used tags, but it is quite long)

comment:8 Changed 8 months ago by Klumbumbus

Your status report should include the sections "Tagging presets:" and "Map paint styles:" after "Plugins:" like e.g. in #19480 or do you use solely the default internal preset and mappaint style?

comment:9 Changed 8 months ago by anonymous

Yes, I have only default map style and default preset enabled.

In settings I see that I have enabled "Internal preset" and "JOSM default (MapCSS)"

I will verify it again with status report over I have access to the computer.

comment:10 Changed 8 months ago by anonymous

And what you see? Maybe JOSM is confused by done language settings of my OS (language set to English, locale set to Poland)

comment:11 Changed 8 months ago by skyper

I can reproduce. This could be adjusted with name templates and in the relation list panel more different icons would help, too.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-06-30 19:13:42 +0200 (Tue, 30 Jun 2020)
Revision:16731
Build-Date:2020-07-01 01:30:51
URL:https://josm.openstreetmap.de/svn/trunk
USER@BOX:~$ java -Xmx500m -Djosm.home=/tmp/.josm_test -jar /usr/share/josm-latest/josm-latest.jar 
2020-07-05 12:52:50.887 INFO: Log level is at INFO (INFO, 800)
2020-07-05 12:52:51.509 INFO: Missing preference file '/tmp/.josm_test/preferences.xml'. Creating a default preference file.
2020-07-05 12:53:13.540 INFO: GET https://api.openstreetmap.org/api/capabilities -> HTTP/1.1 200 (2.1 s; 438 B)
2020-07-05 12:53:13.548 INFO: OK
2020-07-05 12:53:13.852 INFO: GET https://josm.openstreetmap.de/wiki/StartupPage -> HTTP/1.1 200 (2.5 s)
2020-07-05 12:53:13.960 INFO: Obtained 68 Tag2Link rules from META-INF/resources/webjars/tag2link/2020.5.16/index.json
2020-07-05 12:53:14.054 INFO: GET https://josm.openstreetmap.de/maps -> HTTP/1.1 200 (137 ms)
2020-07-05 12:53:16.792 INFO: GET https://josm.openstreetmap.de/remote/geofabrik-index-v1-nogeom.json -> HTTP/1.1 200 (67 ms; 23.0 kB)
2020-07-05 12:53:20.908 INFO: Changeset updater active (checks every 60 minutes if open changesets have been closed)

comment:12 in reply to:  11 Changed 8 months ago by Klumbumbus

(I have now the same display.)

Replying to skyper:

This could be adjusted with name templates

The problem of name templates was iirc that it conflicts with relation.nameorder (advanced preference key).

and in the relation list panel more different icons would help, too.

Yes, it seems some icons for multipolygons don't work and the default mulipolygon icon is displayed instead.

working:

  • landuse=*
  • natural=*

not working:

  • highway=*
  • leisure=*
  • building=*
  • amenity=*

comment:13 Changed 8 months ago by Klumbumbus

Resolution: wontfix
Status: newclosed

This ticket is obsolete once the icon bug is fixed. --> #19496

comment:14 in reply to:  13 ; Changed 8 months ago by Klumbumbus

Resolution: wontfix
Status: closedreopened

Replying to Klumbumbus:

This ticket is obsolete once the icon bug is fixed. --> #19496

Ah no, the Tags/membeship dialog doesn't display icons.

comment:15 in reply to:  14 Changed 8 months ago by Klumbumbus

Replying to Klumbumbus:

the Tags/membeship dialog doesn't display icons.

It might be a good idea to display the icons there too?

Modify Ticket

Change Properties
Set your email in Preferences
Action
as reopened The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to mkoniecz
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.